﻿@model StarterProjectV2.ViewModels.OwnerRoomSlotManagementView
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="assets/css/bootstrap-responsive.css" rel="stylesheet">
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css">
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
<!DOCTYPE html>
<h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>
<div class="card" style="margin-bottom: 0">
    <form class="form-inline m-3 d-flex justify-content-center">
        <input id="txtSearch" class="form-control" type="text" placeholder="Search" aria-label="Search">
        @*<button type="button" id="txtSearch">Search</button>*@
        <div class="input-group-append">
            <span class="input-group-text" id="basic-addon1"><i class="fa fa-search"></i></span>
        </div>
    </form>
    <div id="gridUsers"></div>
</div>

<script ssrc="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    $(document).ready(function () {
        //Html.RenderAction("SearchRoomSlot", "OwnerRoomSlotAssignment");
        //alert("Hello");
        $(() => {
            getUsers();
            $('#txtSearch').on('keyup', () => {
                getUsers();
            });
        });
        function getUsers() {
        $.ajax({
            url: '@Url.Action("SearchRoomSlot", "OwnerRoomSlotAssignment")',
            datatype: 'html',
            method: 'POST',
            data: { searchText: $('#txtSearch').val() },
            success: function (res) {
                alert("kashfhklasdf");
                $('#gridUsers').html('').html(res);
                alert("Success");
            },
            error: function (err) {
                console.log(err);
                alert("Error");
            }
        })
    }
        @*$('#txtSearch').keyup(
            function () {
                alert("working");
                $.ajax({
                    url: '../OwnerRoomSlotAssignment/SearchRoomSlot/',
                    datatype: 'html',
                    method: 'POST',
                    data: { searchfield: $('#txtSearch').val() },
                    success: function (res) {
                        $('#gridUsers').html('').html(res);
                        alert("length: " + len);
                    },
                    error: function (err) {
                        console.log(err);
                        alert("NOT working");
                    },

                });
            }
        );*@
            //$.ajax({
            //    url: '../OwnerRoomSlotAssignment/SearchRoomSlot/',
            //    datatype: 'html',
            //    method: 'POST',
            //    data: { searchfield: $('#txtSearch').val() },
            //    success: function (res) {
            //        $('#gridUsers').html('').html(res);
            //    },
            //    error: function (err) {
            //        console.log(err);
            //    },

            //});
        @*});*@
    });
</script>
@*<script>
    $(() => {
        search();
        $('#txtSearch').on('click', () => {
            search();
        });
    });
    function search() {
        alert("Hello in search");
            $.ajax({
                url: '../OwnerRoomSlotAssignment/SearchRoomSlot/',
                datatype: 'html',
                method: 'GET',
                data: {searchfield : $('#txtSearch').val() },
                success: function (res) {
                    $('#gridUsers').hyml('').html(res);
                },
                error: function (err) {
                    console.log(err);
                },
               
            });
    
</script>*@


<script>
    $(document).ready(function() {
        var taskRoles = "@Model.TaskRoles";
        if (taskRoles[0] == '0') {
            $('table tr').find('td:eq(0),th:eq(0)').remove();
            if (taskRoles[3] == '0') {
                $('table tr').find('td:eq(0),th:eq(0)').remove();
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(0),th:eq(0)').remove();
                }
            } else {
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(1),th:eq(1)').remove();
                }
            }
        } else {
            if (taskRoles[3] == '0') {
                $('table tr').find('td:eq(1),th:eq(1)').remove();
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(1),th:eq(1)').remove();
                }
            } else {
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(2),th:eq(2)').remove();
                }
            }
        }
        if (taskRoles[1] == '0') {
            $("#newItem").remove();
        }
    });
</script>

<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>

<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });



    $(document).ready(function() {
        $("#newItem").click(function() {
            document.location = '@Url.Action("OwnerRoomSlotCreate", "OwnerRoomSlotAssignment")';
        });
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function(){
            window.print();
        });

        $('#reloadItem').click(function() {
            location.reload();
        });
        $("#reportItem").remove();
        $("#dashboardItem").click(function() {
            
        });
     
        $("#reportItem").remove();
    });


</script>

<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>
<script src="~/Content/vendors/js/toastr.min.js"></script>
<script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
<script src="~/Content/vendors/js/coreui.min.js"></script>


